' This example displays the file tree and regenerates the file back
Sub EnumNode(node,ind)
    Dim I
    WScript.Echo ind & node.Info
    For I = 1 To node.Count
        If IsObject(node(I)) Then
            If node.Key(I) <> "" Then
                WScript.Echo ind & "  [" & node.Key(I) & "]"
            End If
            EnumNode node(I), ind & "  "
        Else
            WScript.Echo ind & "  " & node.Key(I) & "=" & node(I)
        End IF
    Next
End Sub 

Dim sf, parser, file, htmlSource, htmlTree
Set sf = CreateObject("newobjects.utilctls.SFMain")
' Open the file (read only)
Set file = sf.OpenFile(WScript.Arguments(0),&H40)
WScript.Echo "Opened file: " & WScript.Arguments(0)
' Read all the file at once
htmlSource = file.ReadText(-2)
file.Close

Set parser = CreateObject("newObjects.utilctls.HTMLParser")
        
parser.knownTagsOnly = True
' Change to False if you want to keep the formatting of the original file
parser.skipEmptyTexts = True
' parser.ignoreUnknownTags = True
' Parse the HTML
Set htmlTree = parser.Parse(htmlSource)

WScript.Echo "Parse complete"
        
WScript.Echo "======================================="
EnumNode htmlTree, "  "
Set file = sf.CreateFile("test-output.html")
file.WriteText parser.Construct(htmlTree)